package cn.gtmap.estateplat.config.core.mapper.config;/*
 * @author <a href="mailto:huangzijian@gtmap.cn">huangzijian</a>
 * @version 1.0, 2017/11/22
 * @description 
 */

import cn.gtmap.estateplat.model.config.BdcCxBdcdyZt;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface BdcCxBdcdyZtMapper {

    BdcCxBdcdyZt getBdcCxBdcdyZtByBdcdy(String bdcdyh);

    List<BdcCxBdcdyZt> getBdcCxBdcdyZt(Map map);

    List<String> getBdcdyhByBdclx(Map map);

    Integer getBdcdyhNum(String bdclx);

    //通过bdcid获取过渡预告权利信息
    Integer getGdYgQlByBdcid(String bdcid);

    //通过bdcid获取过渡查封权利信息
    Integer getGdCfQlByBdcid(String bdcid);

    //通过bdcid获取过渡预查封权利信息
    Integer getGdYCfQlByBdcid(String bdcid);

    //通过bdcid获取过渡抵押权利信息
    Integer getGdDyaQlByBdcid(String bdcid);

    //通过bdcid获取过渡异议权利信息
    Integer getGdYyQlByBdcid(String bdcid);

    //通过bdcid获取过渡锁定权利信息
    Integer getGdSdQlByBdcid(String bdcid);

    Integer getBdcYgQlByBdcdyh (String bdcdyh);
    Integer getBdcDyaQlByBdcdyh (String bdcdyh);
    Integer getBdcDyaQlByBdcdyhLyg (String bdcdyh);
    Integer getBdcYyQlByBdcdyh (String bdcdyh);
    Integer getBdcCfQlBybdcdyh (String bdcdyh);
    Integer getBdcYcfQlByBdcdyh (String bdcdyh);
    Integer getBdcYdyaQlByBdcdyh (String bdcdyh);
    Integer getBdcSdQlByBdcdyh (String bdcdyh);
    Integer getBdcZjjzwQlByBdcdyh (String bdcdyh);
    Integer getBdcDyQlByBdcdyh (String bdcdyh);

    Integer getScdjztByBdcdyh (String bdcdyh);

    Integer getBdcJzQlByBdcdyh (String bdcdyh);

}
